Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Mon, 20 Feb 2023 00:14:34 +0000

>
> In a sense it is better to fail earlier, but to do that in all cases, we 
> would have to lower emacs_re_max_failures say to 10000, which I guess 
> wouldn't be good because the it would fail too much.
>

Out of curiosity, I just bootstrapped Emacs with emacs_re_max_failures = 
10000.  make and make check succeed, except one test: regex-repeat-limit.

With emacs_re_max_failures = 19661 or higher that test succeeds.  I don't 
know how important it is to allow x\\{65535\\}.